import argparse


class ParamConfig:

    def __init__(self, param_dict):
        self.parser = argparse.ArgumentParser()
        self.log_level = 0
        if param_dict is not None:
            for key, value in param_dict.items():
                setattr(self, key, value)

    @property
    def eval_task(self):
        return self.__eval_task

    @eval_task.setter
    def eval_task(self, task):
        self.__eval_task = task
        self.num_states = task.num_states
        self.num_actions = task.num_actions
        self.task_name = task.env_id